[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCoolBand.Assign

Copies property values from the specified persistent object to the current class instance.

## Declaration

Source position: comctrls.pp line 2505

`public procedure TCoolBand.Assign(`
`aSource: TPersistent`
`); override;`

## Arguments

`aSource` |  | Persistent object with property values copied in the method.

## Description

Assign is an overridden method which implements object persistence for the TCoolBand type. When ASource is a TCoolBand instance, the following properties in ASource are copied:

- Bitmap
- Break
- Color
- FixedBackground
- FixedSize
- HorizontalOnly
- ImageIndex
- MinHeight
- MinWidth
- ParentBitmap
- ParentColor
- Text
- Visible
- Control (when it exists in the parent control)

If ASource is not a TCoolBar instance, the inherited method is called to copy values in ASource.

## See also

TPersistent